StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

List Environments

GET /api/v1/app/{appId}/env/list deprecated

List Environments

First time here? - use our V2 environments API instead!

Lists environments that belong to this application.

Returns a paginated list of Environments.

Parameter Default Description
environments [] List of environments.
nextPageToken "" PageToken to provide for the next page of results.
totalCount 0 Total number of results.

Environment

An Application-environment with details of recent scan stats included.

Parameter Default Description
environmentName "" The name of this environment.
environmentId "" The UUID identifier of this environment.
currentScanSummary {} Summary of the scan results and triaged findings for this environment.
latestScanType "UNKNOWN" Type of newest scan in this environment. Options include DEFAULT, REST, GRAPHQL, GRPC, SOAP.

Scan Summary

The summary of findings from scan results.

Parameter Default Description
configHash "" Hash of the HawkScan configuration used for this scan.
timestamp 0 Seconds since unix epoch timestamp of when the scan was started.
alertStats {} Summarized statistics of findings for this scan.
version "" The version of HawkScan used for this scan.
scanId "" The UUID identifier of this scan.
applicationId "" The UUID identifier of this scan's application.

The returned list of environments is filtered by the User's API Token Team membership.

Requires read:application permission.

Path parameters

appIdstring · uuidrequired

UUID identifier for this StackHawk Application.

Query parameters

envsstring[]

A comma-delimited list of environment names of StackHawk Applications to filter by.

pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
sortFieldstring

Resource field to sort paginated response by.

2 available options
idname
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

2 available options
ascdesc

Response

Paginated response of environments.

environments
application.Environment[]

List of environments.

Hide child attributesShow child attributes
environments.currentScanSummary
application.ScanSummary
Hide child attributesShow child attributes
environments.currentScanSummary.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
environments.currentScanSummary.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
environments.currentScanSummary.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
environments.currentScanSummary.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

environments.currentScanSummary.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

environments.currentScanSummary.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

environments.currentScanSummary.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

environments.currentScanSummary.applicationId
string

The UUID identifier of this scan's application.

environments.currentScanSummary.configHash
string

Hash of the HawkScan configuration used for this scan.

environments.currentScanSummary.scanId
string

The UUID identifier of this scan.

environments.currentScanSummary.timestamp
integer<int64>

Seconds since unix epoch timestamp of when the scan was started.

environments.currentScanSummary.version
string

The version of HawkScan used for this scan.

environments.environmentId
string

The UUID identifier of this environment.

environments.environmentName
string

The name of this environment.

environments.latestScanType
enum<string>

Type of newest scan in this environment. Options include `DEFAULT`, `REST`, `GRAPHQL`, `GRPC`, `SOAP`.

5 available options
DEFAULTRESTGRAPHQLGRPCSOAP
environments.scanSummaries
application.ScanSummary[] write-only

Summaries of recent scans from this environment.

Hide child attributesShow child attributes
environments.scanSummaries.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
environments.scanSummaries.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
environments.scanSummaries.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
environments.scanSummaries.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

environments.scanSummaries.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

environments.scanSummaries.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

environments.scanSummaries.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

environments.scanSummaries.applicationId
string

The UUID identifier of this scan's application.

environments.scanSummaries.configHash
string

Hash of the HawkScan configuration used for this scan.

environments.scanSummaries.scanId
string

The UUID identifier of this scan.

environments.scanSummaries.timestamp
integer<int64>

Seconds since unix epoch timestamp of when the scan was started.

environments.scanSummaries.version
string

The version of HawkScan used for this scan.

nextPageToken
string

PageToken to provide for the next page of results.

totalCount
integer<int64>

Total number of results.

environments
application.Environment[]

List of environments.

Hide child attributesShow child attributes
environments.currentScanSummary
application.ScanSummary
Hide child attributesShow child attributes
environments.currentScanSummary.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
environments.currentScanSummary.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
environments.currentScanSummary.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
environments.currentScanSummary.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

environments.currentScanSummary.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

environments.currentScanSummary.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

environments.currentScanSummary.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

environments.currentScanSummary.applicationId
string

The UUID identifier of this scan's application.

environments.currentScanSummary.configHash
string

Hash of the HawkScan configuration used for this scan.

environments.currentScanSummary.scanId
string

The UUID identifier of this scan.

environments.currentScanSummary.timestamp
integer<int64>

Seconds since unix epoch timestamp of when the scan was started.

environments.currentScanSummary.version
string

The version of HawkScan used for this scan.

environments.environmentId
string

The UUID identifier of this environment.

environments.environmentName
string

The name of this environment.

environments.latestScanType
enum<string>

Type of newest scan in this environment. Options include `DEFAULT`, `REST`, `GRAPHQL`, `GRPC`, `SOAP`.

5 available options
DEFAULTRESTGRAPHQLGRPCSOAP
environments.scanSummaries
application.ScanSummary[] write-only

Summaries of recent scans from this environment.

Hide child attributesShow child attributes
environments.scanSummaries.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
environments.scanSummaries.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
environments.scanSummaries.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
environments.scanSummaries.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

environments.scanSummaries.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

environments.scanSummaries.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

environments.scanSummaries.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

environments.scanSummaries.applicationId
string

The UUID identifier of this scan's application.

environments.scanSummaries.configHash
string

Hash of the HawkScan configuration used for this scan.

environments.scanSummaries.scanId
string

The UUID identifier of this scan.

environments.scanSummaries.timestamp
integer<int64>

Seconds since unix epoch timestamp of when the scan was started.

environments.scanSummaries.version
string

The version of HawkScan used for this scan.

nextPageToken
string

PageToken to provide for the next page of results.

totalCount
integer<int64>

Total number of results.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.